org.licas.service.model

## Class WorkInfo

- java.lang.Object
- - org.licas.service.model.WorkInfo

-     public class WorkInfo
      extends java.lang.Object

  This provides a description of some work that a service can carry out or request.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOTH`
    `ContractDef` | `contract` Optional contract terms for negotiating with.
    `java.lang.String` | `info` The info to publish
    `KeywordInfo` | `keywordInfo` Keywords list to describe the service
    `MethodInfo` | `methodInfo` Description of the method and location for the service
    `static int` | `POINTPOINT`
    `float` | `score` Matching score if relevant
    `static int` | `SUBSCRIBE`
    `int` | `workProtocol` Type of work protocol for the service - point-to-point, subscribe, or both

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkInfo()` Create a new instance of WorkInfo.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isPtP()` Return true if the work protocol allows point-to-point, direct call on the service ID.
    `boolean` | `isSubscribe()` Return true if the work protocol allows subscribe, call on a service type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### POINTPOINT

          public static final int POINTPOINT

      See Also:
        Constant Field Values

    - #### SUBSCRIBE

          public static final int SUBSCRIBE

      See Also:
        Constant Field Values

    - #### BOTH

          public static final int BOTH

      See Also:
        Constant Field Values

    - #### workProtocol

          public int workProtocol

      Type of work protocol for the service - point-to-point, subscribe, or both

    - #### info

          public java.lang.String info

      The info to publish

    - #### keywordInfo

          public KeywordInfo keywordInfo

      Keywords list to describe the service

    - #### methodInfo

          public MethodInfo methodInfo

      Description of the method and location for the service

    - #### contract

          public ContractDef contract

      Optional contract terms for negotiating with. Defaults to 'Yes' contract.

    - #### score

          public float score

      Matching score if relevant

  - ### Constructor Detail

    - #### WorkInfo

          public WorkInfo()

      Create a new instance of WorkInfo. Work protocol defaults to `SUBSCRIBE`.

  - ### Method Detail

    - #### isPtP

          public boolean isPtP()

      Return true if the work protocol allows point-to-point, direct call on the service ID.
      Returns:
        true if point-to-point or both.

    - #### isSubscribe

          public boolean isSubscribe()

      Return true if the work protocol allows subscribe, call on a service type.
      Returns:
        true if subscribe or both.